
Redmine - Defect #39834

Extract tests for plugin autoloading and Restore Plugin directory settings

2023-12-12 13:51 - Takashi Kato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Setting aside the issue of configuring the plugin directory, our initial step was to create a patch to restore the settings, enabling us to

test the plugin.

Because running autoload tests alongside other tests poses challenges, we opt to conduct them individually using rails test:autoload.

patches for r22514@trunk

Related issues:

Related to Redmine - Feature #36320: Migrate to Rails 7.1 Reopened

Associated revisions

Revision 22522 - 2023-12-17 16:05 - Marius BĂLTEANU

Adds test for plugin autoload issue (#36320, #39834).

Patch by @tohosaku.

Revision 22523 - 2023-12-19 10:43 - Go MAEDA

Fix RuboCop offense Layout/EmptyLineAfterMagicComment (#36320, #39834).

History

#1 - 2023-12-12 17:21 - Marius BĂLTEANU

- Related to Feature #36320: Migrate to Rails 7.1 added

#2 - 2023-12-12 17:56 - Marius BĂLTEANU

Committed first patch as part of #39834 and #39803, thanks for fixing the issue.

I'll review the second patch in the following days.

#3 - 2023-12-17 16:05 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

I've committed the second patch with slightly changes, thanks again for your hard work!

Files

0001-Fix-test-runner-Follow-commit-https-github.com-rails.patch 3.67 KB 2023-12-12 Takashi Kato

0002-Extract-plugin-autoload-test.patch 7.65 KB 2023-12-12 Takashi Kato
